<table mat-table *ngIf="projects" [dataSource]="projects" class="mat-elevation-z8">

  <!--- Note that these columns can be defined in any order.
        The actual rendered columns are set as a property on the row definition" -->

  <!-- Name Column -->
  <ng-container matColumnDef="name">
    <th mat-header-cell *matHeaderCellDef> Name</th>
    <td mat-cell *matCellDef="let element">
      <a [href]="baseUrl + '/' + element.path_with_namespace">{{element.name}}</a>
    </td>
  </ng-container>

  <ng-container matColumnDef="DEV">
    <th mat-header-cell *matHeaderCellDef> DEV</th>
    <td mat-cell *matCellDef="let element">

      <app-pipeline-status [project]="element" branch="developpement"></app-pipeline-status>
    </td>
  </ng-container>

  <ng-container matColumnDef="UAT">
    <th mat-header-cell *matHeaderCellDef> UAT</th>
    <td mat-cell *matCellDef="let element">
      <app-pipeline-status [project]="element" branch="recette"></app-pipeline-status>
    </td>
  </ng-container>

  <ng-container matColumnDef="PROD">
    <th mat-header-cell *matHeaderCellDef> PROD</th>
    <td mat-cell *matCellDef="let element">
      <app-pipeline-status [project]="element" branch="production"></app-pipeline-status>
    </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
</table>

<mat-paginator [length]="total"
               [pageSize]="pageSize"
               [pageSizeOptions]="[10, 25, 50, 100]"
               aria-label="Select page"
               (page)="changePage($event)"

>
</mat-paginator>
